export default {
  state: {
    preview: null
  },
  getters: {
    getPreview(state) {
      return state.preview;
    }
  },
  mutations: {
    setPreview(state, preview ) {
      state.preview = preview;
      if(preview != null){
        let {description} = preview;
        state.preview.description = description;
      }
    }
  },
  actions: {

  }
}